# phpDox - Query\QueryBuilderBase

# Query\QueryBuilderBase

####

## Synopsis

class QueryBuilderBase {

- // members
- public string $connName = '';
- public array $queries = ;

- // methods
- public void __construct()
- public void __destruct()
- public mixed __call()
- public void resetQuery()

}

## Members

#### public

- $connName — string
  Convenience property for connection management
- $queries — array
  List of queries executed

## Methods

#### public

- __construct() — Constructor
- __destruct() — Destructor
- __call() — Calls a function further down the inheritance chain.
- resetQuery() — Clear out the class variables, so the next query can be run